Last Comment Bug 367657 - Remove old DOM Inspector shared library when upgrading
: Remove old DOM Inspector shared library when upgrading
Status: RESOLVED FIXED
: fixed-seamonkey1.1.1
Product: SeaMonkey
Classification: Client Software
Component: Installer (show other bugs)
: Trunk
: All All
: -- normal (vote)
: ---
Assigned To: xpi-packages
: installer
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-01-21 08:31 PST by Peter Weilbacher
Modified: 2008-07-31 02:13 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Add DOMI library to list of files to remove (2.95 KB, patch)
2007-01-21 08:31 PST, Peter Weilbacher
ajschult: review+
neil: superreview+
Details | Diff | Splinter Review
what I checked in, merged to 1.8 branch (3.55 KB, patch)
2007-01-26 16:49 PST, Andrew Schultz
csthomas: approval‑seamonkey1.1.1+
Details | Diff | Splinter Review

Description Peter Weilbacher 2007-01-21 08:31:16 PST
Created attachment 252220 [details] [diff] [review]
Add DOMI library to list of files to remove

Bug 338746 removed the old DOM-I library that got merged into gklayout from the package* files but did not add it to the list of files to delete when updating from an old version. That causes crashes at least on OS/2.

The patch adds it for Unix, Windows, and OS/2, not sure what I have to do about Mac or even what filename it has there.
Comment 1 Andrew Schultz 2007-01-21 09:54:13 PST
Comment on attachment 252220 [details] [diff] [review]
Add DOMI library to list of files to remove

r=me
Comment 2 Peter Weilbacher 2007-01-26 14:02:55 PST
Could someone please check this in? I am supposed to restrict myself to OS/2-only stuff...
Comment 3 Andrew Schultz 2007-01-26 15:20:00 PST
Comment on attachment 252220 [details] [diff] [review]
Add DOMI library to list of files to remove

>Index: xpinstall/packager/windows/browser.jst
>+    deleteThisFile("Components", "inspector.dll");

Actually, with my new-found understanding of the windows installer (see bug 367657), I realize this should go into the previous section of browser.jst (before |if (!gGreLocal)|).  With this patch, inspector.dll would not be deleted since the installer is now local by default.

I'll commit with this fixup later tonight, unless someone beats me to it.
Comment 4 Andrew Schultz 2007-01-26 16:36:04 PST
Comment on attachment 252220 [details] [diff] [review]
Add DOMI library to list of files to remove

landed on trunk (I also moved the unix/os2 lines up with the other libs)
Comment 5 Andrew Schultz 2007-01-26 16:49:24 PST
Created attachment 252967 [details] [diff] [review]
what I checked in, merged to 1.8 branch

bug 325100 landed on the branch, so we need this on the branch too.
Comment 6 Robert Kaiser 2007-01-26 17:33:58 PST
Comment on attachment 252967 [details] [diff] [review]
what I checked in, merged to 1.8 branch

first-a=me for 1.1.1, still one needed to go
Comment 7 Chris Thomas (CTho) [formerly cst@andrew.cmu.edu cst@yecc.com] 2007-02-13 15:46:15 PST
Comment on attachment 252967 [details] [diff] [review]
what I checked in, merged to 1.8 branch

a=me for 1.1.1

Note You need to log in before you can comment on or make changes to this bug.